bonobo-ui-main
3
LIBBONOBOUI Library

# bonobo-ui-main

## Synopsis

    #define             LIBBONOBOUI_MODULE
    const GnomeModuleInfo * libbonobo_ui_module_info_get    (void);
    #define             BONOBO_UI_GTK_MODULE
    const GnomeModuleInfo * bonobo_ui_gtk_module_info_get   (void);
    gboolean            bonobo_ui_is_initialized            (void);
    gboolean            bonobo_ui_init                      (const gchar *app_name,
                                                             const gchar *app_version,
                                                             int *argc,
                                                             char **argv);
    void                bonobo_ui_main                      (void);
    gboolean            bonobo_ui_init_full                 (const gchar *app_name,
                                                             const gchar *app_version,
                                                             int *argc,
                                                             char **argv,
                                                             CORBA_ORB orb,
                                                             PortableServer_POA poa,
                                                             PortableServer_POAManager manager,
                                                             gboolean full_init);
    void                bonobo_setup_x_error_handler        (void);
    int                 bonobo_ui_debug_shutdown            (void);

## Description

## Details

### LIBBONOBOUI_MODULE

    #define LIBBONOBOUI_MODULE libbonobo_ui_module_info_get()

### libbonobo_ui_module_info_get ()

    const GnomeModuleInfo * libbonobo_ui_module_info_get    (void);

Returns :

### BONOBO_UI_GTK_MODULE

    #define BONOBO_UI_GTK_MODULE bonobo_ui_gtk_module_info_get()

### bonobo_ui_gtk_module_info_get ()

    const GnomeModuleInfo * bonobo_ui_gtk_module_info_get   (void);

Returns :

### bonobo_ui_is_initialized ()

    gboolean            bonobo_ui_is_initialized            (void);

Returns :

### bonobo_ui_init ()

    gboolean            bonobo_ui_init                      (const gchar *app_name,
                                                             const gchar *app_version,
                                                             int *argc,
                                                             char **argv);

`app_name` :

`app_version` :

`argc` :

`argv` :

Returns :

### bonobo_ui_main ()

    void                bonobo_ui_main                      (void);

### bonobo_ui_init_full ()

    gboolean            bonobo_ui_init_full                 (const gchar *app_name,
                                                             const gchar *app_version,
                                                             int *argc,
                                                             char **argv,
                                                             CORBA_ORB orb,
                                                             PortableServer_POA poa,
                                                             PortableServer_POAManager manager,
                                                             gboolean full_init);

`app_name` :

`app_version` :

`argc` :

`argv` :

`orb` :

`poa` :

`manager` :

`full_init` :

Returns :

### bonobo_setup_x_error_handler ()

    void                bonobo_setup_x_error_handler        (void);

To do graphical embedding in the X window system, Bonobo uses the classic foreign-window-reparenting trick. The GtkPlug/GtkSocket widgets are used for this purpose. However, serious robustness problems arise if the GtkSocket end of the connection unexpectedly dies. The X server sends out DestroyNotify events for the descendants of the GtkPlug (i.e., your embedded component's windows) in effectively random order. Furthermore, if you happened to be drawing on any of those windows when the GtkSocket was destroyed (a common state of affairs), an X error will kill your application.

To solve this latter problem, Bonobo sets up its own X error handler which ignores certain X errors that might have been caused by such a scenario. Other X errors get passed to gdk_x_error normally.

### bonobo_ui_debug_shutdown ()

    int                 bonobo_ui_debug_shutdown            (void);

Returns :